Skip to content

Pagination and Errors

List endpoints use offset pagination:

Terminal window
curl "https://sshverify.com/api/v1/ssh/collect/sessions/?offset=0&limit=50" \
-H "x-api-key: <api-key>"

List responses include:

FieldDescription
itemsItems for the current page.
totalTotal number of matching items.
offsetOffset used for this page.
limitLimit used for this page.
has_moreWhether more items are available.

If limit is omitted, the API uses 100. Values above 100 are capped to 100.

Errors use an application/problem+json response body:

{
"title": "Bad Request",
"status": 400,
"detail": "Cannot use both timeout and expired_at",
"errors": [
{
"location": "body.expired_at",
"message": "Cannot be used with timeout"
}
]
}

The errors array is optional and is used when the API can point to a specific field or value.

StatusMeaning
400Invalid request, such as using timeout and expired_at together.
404Session or webhook was not found in the API key’s project.
409The requested action conflicts with the session state, such as completing a single-connection session.
429Project rate limit exceeded.